Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.contribution.visualiser.core
Class ProviderDefinition

    java.lang.Object
      org.eclipse.contribution.visualiser.core.ProviderDefinition

public class ProviderDefinition
extends java.lang.Object

A ProviderDefinition represents the definition of a visualiser provider as specified by someone extending the given extension point. They are managed by the ProviderManager.

Constructor Summary
`ProviderDefinition(java.lang.String className, IContentProvider contentP, IMarkupProvider markupP)` The constructor - requires a content provider and a markup provider

Method Summary
`IContentProvider` | `getContentProvider()` Get the IContentProvider associated with this provider
`java.lang.String` | `getDescription()` Get the description of this provider
`IMarkupProvider` | `getMarkupInstance()` Get the IMarkupProvider associated with this provider
`java.lang.String` | `getName()` Get the name for this provider
`int` | `getPriority()` Get the priority of this provider
`java.lang.String` | `getTitle()` Get the title for this provider definition
`boolean` | `isEnabled()` Get the enabled state of this provider
`void` | `setDescription(java.lang.String d)` Set the description for this provider
`void` | `setEnabled(boolean checked)` Enable/disable this provider (set it as current).
`void` | `setPriority(int priority)` Set the priority of this provider
`void` | `setTitle(java.lang.String title)` Set the title for this provider - used to augment the title of the Visualiser view

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProviderDefinition

    public ProviderDefinition(java.lang.String className,
                              IContentProvider contentP,
                              IMarkupProvider markupP)

  The constructor - requires a content provider and a markup provider

Parameters:
  `className` -
  `contentP` -
  `markupP` -

Method Detail

### getName

    public java.lang.String getName()

  Get the name for this provider

  Returns:
    the name for this provider

### setDescription

    public void setDescription(java.lang.String d)

  Set the description for this provider

  Parameters:
    `d` -

### getDescription

    public java.lang.String getDescription()

  Get the description of this provider

  Returns:
    the description of this provider

### setEnabled

    public void setEnabled(boolean checked)

  Enable/disable this provider (set it as current).

  Parameters:
    `checked` -

### isEnabled

    public boolean isEnabled()

  Get the enabled state of this provider

  Returns:
    the enabled state of this provider

### getContentProvider

    public IContentProvider getContentProvider()

  Get the IContentProvider associated with this provider

  Returns:
    the IContentProvider associated with this provider

### getMarkupInstance

    public IMarkupProvider getMarkupInstance()

  Get the IMarkupProvider associated with this provider

  Returns:
    the IMarkupProvider associated with this provider

### setTitle

    public void setTitle(java.lang.String title)

  Set the title for this provider - used to augment the title of the Visualiser view

  Parameters:
    `title` -

### getTitle

    public java.lang.String getTitle()

  Get the title for this provider definition

  Returns:
    the title for this provider definition

### setPriority

    public void setPriority(int priority)

  Set the priority of this provider

  Parameters:
    `priority` -

### getPriority

    public int getPriority()

  Get the priority of this provider

  Returns:
    the priority of this provider

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD